import ViewMessageService from '../view-message-service';
/**
 * 日历项布局面板（时间轴样式）视图消息服务对象基类
 *
 * @export
 * @class ViewMsg32MessageServiceBase
 */
export default class ViewMsg32MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg32MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg32MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg32MessageServiceBase
     */
    public initBasicParam(){
        this.id = "84DC0F4B-8070-46B0-925A-2C7532BBAA34";
        this.name = "日历项布局面板（时间轴样式）";
        this.codename = "ViewMsg32";
        this.title = "";
        this.content = "本示例展示日历的时间轴样式功能：配置项布局面板。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg32MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}